
LIBRARY ieee;
USE ieee.std_logic_1164.ALL;

ENTITY ALU_v2_ALU_v2_sch_tb IS
END ALU_v2_ALU_v2_sch_tb;
ARCHITECTURE behavioral OF ALU_v2_ALU_v2_sch_tb IS 

   COMPONENT ALU_v2
   PORT( A	:	IN	STD_LOGIC_VECTOR (7 DOWNTO 0); 
          B	:	IN	STD_LOGIC_VECTOR (7 DOWNTO 0); 
          Z	:	OUT	STD_LOGIC_VECTOR (7 DOWNTO 0); 
          S2	:	IN	STD_LOGIC; 
          Cout	:	OUT	STD_LOGIC; 
          S1	:	IN	STD_LOGIC; 
          S0	:	IN	STD_LOGIC; 
          S3	:	IN	STD_LOGIC; 
          S4	:	IN	STD_LOGIC);
   END COMPONENT;

   SIGNAL A	:	STD_LOGIC_VECTOR (7 DOWNTO 0);
   SIGNAL B	:	STD_LOGIC_VECTOR (7 DOWNTO 0);
   SIGNAL Z	:	STD_LOGIC_VECTOR (7 DOWNTO 0);
   SIGNAL Cout	:	STD_LOGIC;
   SIGNAL S1	:	STD_LOGIC;
   SIGNAL S0	:	STD_LOGIC;
   SIGNAL S2	:	STD_LOGIC;
   SIGNAL S3	:	STD_LOGIC;
   SIGNAL S4	:	STD_LOGIC;

BEGIN

   UUT: ALU_v2 PORT MAP(
		A => A, 
		B => B, 
		Z => Z, 
		S2 => S2, 
		Cout => Cout, 
		S1 => S1, 
		S0 => S0, 
		S3 => S3, 
		S4 => S4
   );

   tb : PROCESS
   BEGIN
		A <= "00000000";
		B <= "00000000";
		
		S0 <= '0';
		S1 <= '0';		
		S2 <= '0';
		S3 <= '0';
		S4 <= '0';	
		
		wait for 100 ns;
		
		A <= "00000000";
		B <= "00000001";
		
		S0 <= '0';
		S1 <= '0';		
		S2 <= '0';
		S3 <= '0';
		S4 <= '0';	
		
		wait for 100 ns;
		
		A <= "00000011";
		B <= "00000001";
		
		S0 <= '0';
		S1 <= '0';		
		S2 <= '0';
		S3 <= '0';
		S4 <= '0';	

		wait for 100 ns;	
		
		
		
		
		
		
   END PROCESS;


END;
