
LIBRARY ieee;
USE ieee.std_logic_1164.ALL;

ENTITY sequence_generator_sequence_generator_sch_tb IS
END sequence_generator_sequence_generator_sch_tb;
ARCHITECTURE behavioral OF sequence_generator_sequence_generator_sch_tb IS 

   COMPONENT sequence_generator
   PORT( I	:	OUT	STD_LOGIC; 
          CE	:	IN	STD_LOGIC; 
          CLK	:	IN	STD_LOGIC; 
          E	:	OUT	STD_LOGIC; 
          D	:	OUT	STD_LOGIC; 
          F	:	OUT	STD_LOGIC; 
          CLR	:	IN	STD_LOGIC);
   END COMPONENT;

   SIGNAL I	:	STD_LOGIC;
   SIGNAL CE	:	STD_LOGIC;
   SIGNAL CLK	:	STD_LOGIC;
   SIGNAL E	:	STD_LOGIC;
   SIGNAL D	:	STD_LOGIC;
   SIGNAL F	:	STD_LOGIC;
   SIGNAL CLR	:	STD_LOGIC;

BEGIN

   UUT: sequence_generator PORT MAP(
		I => I, 
		CE => CE, 
		CLK => CLK, 
		E => E, 
		D => D, 
		F => F, 
		CLR => CLR
   );
	
   --CLOCK
   clock : PROCESS
   BEGIN
		CLK <= '0';
		WAIT FOR 100 ns;
		CLK <= '1';
		WAIT FOR 100 ns;	
   END PROCESS;	
	
   -- RESET
   reset : PROCESS
   BEGIN
		CLR <= '1';
		WAIT FOR 500 ns;
		CLR <= '0';
		WAIT;	
   END PROCESS;

   -- TESTBENCH
   tb : PROCESS
   BEGIN
		CE <= '1';
      WAIT; -- will wait forever
   END PROCESS;

END;
